Package com.ads.api.beans.sm

# Class SMEnvironment

java.lang.Object
com.ads.api.beans.common.Node
com.ads.api.beans.sm.SMEnvironment

public class SMEnvironment extends Node
This class provides some beans control methods related to Environment, Database Details in which the Environment is present and its related Audit History Details.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `SMEnvironment.DatabaseType`
  These constants are used to specify whether the DatabaseType is of any of the listed Types : Excel, CWM, ETL, XMI, ERWin, Access,DSV,JSON, XSD, SqlServer, Oracle, SqlServerWindows, GreenPlum, TeraData, VERTICA, Pervasive, DB2, MySQL, SYBASE, SAP, BigDataCloudera, BigDataHortonWorks, BigDataMapR, NETEZZA, AmazonRedshift, Salesforce, Snowflake, Databricks, Postgresql, BigQuery, Other.

  ## Nested classes/interfaces inherited from class com.ads.api.beans.common.Node

  `Node.Depth, Node.InputDataType, Node.NodeType, Node.ReturnType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SMEnvironment()`
  `SMEnvironment(int systemId, Date lastLoadingTime, byte[] dataFile, boolean passwordEncrypted, boolean displayTablesInScan, boolean displayViewsInScan, boolean displaySynonymsInScan, int systemEnvironmentId, int maximumNoOfConnectionsPerPartition, int minimumNoOfConnectionsPerPartition, int noOfPartitions, int environmentId, AuditHistory auditHistory, boolean dataStewardChecked, int sshPort, String authenticationType, String kerberosPrincipal)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SMEnvironment`
  `addAssociationsList(com.ads.association.export.model.ExportedAssociation associationObj)`
  It will not add association to this object as it is being used internally.
  `SMEnvironment`
  `addExtendedProperty(KeyValue extendedProperty)`
  Adds the KeyValue Object for the specified table.
  `void`
  `addSchema(SMSchema schema)`
  Adds the schema as specified.
  `SMEnvironment`
  `addSDIClassification(SDIClassification classification)`
  It adds the given sdiClassification object to the list.
  `void`
  `addTable(SMTable table)`
  Adds the table to the SMTable Object.
  `void`
  `addTable(String name, SMTable table)`
  Adds the table to SMTable Object as specified in name.
  `void`
  `addTableByReferenceId(SMTable table)`
  Adds the table to the SMTable Object by referenceId.
  `SMEnvironment`
  `addTag(Tag tagvo)`
  `List<com.ads.association.export.model.ExportedAssociation>`
  `getAssociationsList()`
  It will not return any associations particular to this object as it is being used internally.
  `AuditHistory`
  `getAuditHistory()`
  Returns the AuditHistory.
  `String`
  `getAuthenticationType()`
  Returns the authenticationType Value.
  `String`
  `getBusinessEntityType()`
  Returns the businessEntityType value.
  `String`
  `getChangeDescription()`
  Returns the changeDescription Value.
  `String`
  `getDatabaseDomain()`
  Returns the databaseDomain.
  `String`
  `getDatabaseDriver()`
  Returns the databaseDriver.
  `String`
  `getDatabaseInstanceSchema()`
  Returns the database InstanceSchema.
  `String`
  `getDatabaseIPAddress()`
  Returns the databaseIPAddress.
  `String`
  `getDatabaseName()`
  Returns the databaseName.
  `String`
  `getDatabaseOptions()`
  Returns the databaseOptions Value.
  `String`
  `getDatabasePassword()`
  Returns the database Password.
  `String`
  `getDatabasePoolType()`
  Returns the databasePoolType Value.
  `String`
  `getDatabasePort()`
  Returns the databasePort.
  `String`
  `getDatabaseType()`
  Returns the databaseType.
  `String`
  `getDatabaseURL()`
  Returns the databaseURL.
  `String`
  `getDatabaseUserName()`
  Returns the database UserName.
  `byte[]`
  `getDataFile()`
  Returns the dataFile.
  `String`
  `getDataFileName()`
  Returns the dataFileName.
  `String`
  `getDataProfileScore()`
  Returns the dataProfileScore Value.
  `int`
  `getDataProfileScoreId()`
  Returns the dataProfileScoreId Value.
  `float`
  `getDataQualityScore()`
  Returns the dataQualityScore.
  `String`
  `getDataStewardName()`
  Deprecated.
  `int`
  `getDqToolFlag()`
  Returns the dqToolFlag.
  `String`
  `getDqToolProfileId()`
  Returns the dqToolProfileId.
  `int`
  `getDraft()`
  Returns the draft Value.
  `int`
  `getEnvironmentId()`
  Returns the environmentId.
  `String`
  `getEnvironmentNotes()`
  Returns the environmentNotes.
  `SMEnvironment.DatabaseType`
  `getEnvironmentType()`
  Returns the environmentType Value.
  `List<KeyValue>`
  `getExtendedProperties()`
  Returns the list of KeyValue objects.
  `String`
  `getFieldDelimiter()`
  Returns the fieldDelimiter.
  `String`
  `getFileLocation()`
  Returns the fileManagementSystemType.
  `String`
  `getFileManagementSystemType()`
  Returns the fileManagementSystemType.
  `float`
  `getImpactScore()`
  Deprecated.
  `String`
  `getIntendedUseDescription()`
  Returns the intendedUseDescription.
  `String`
  `getKerberosPrincipal()`
  Returns the kerberosPrincipal Value.
  `Date`
  `getLastLoadingTime()`
  Returns the lastLoadingTime.
  `int`
  `getMaximumNoOfConnectionsPerPartition()`
  Returns the maximum NoOfConnections PerPartition.
  `int`
  `getMinimumNoOfConnectionsPerPartition()`
  Returns the Minimum NoOfConnections PerPartition.
  `String`
  `getModelFile()`
  Returns the modelFile.
  `String`
  `getModelFileName()`
  Returns the modelFileName.
  `String`
  `getName()`
  Returns environment name.
  `int`
  `getNoOfPartitions()`
  Returns the noOfPartitions.
  `String`
  `getProductionEnvironmentName()`
  Returns the production EnvironmentName.
  `String`
  `getProductionSystemId()`
  Returns the productionSystemId.
  `String`
  `getProductionSystemName()`
  Returns the productionSystemName.
  `String`
  `getRowDelimiter()`
  Returns the rowDelimiter.
  `String`
  `getSapClient()`
  Returns the sapClient.
  `String`
  `getSapDestination()`
  Returns the sapDestination.
  `String`
  `getSapScanTables()`
  Returns the sapScanTables.
  `SMSchema`
  `getSchema(String schemaName)`
  Returns the SMSchema Object as specified.
  `Collection<SMSchema>`
  `getSchemas()`
  Returns the Collection objects
  `int`
  `getSdiClassificationId()`
  Deprecated.
  `String`
  `getSdiClassificationName()`
  Deprecated.
  `List<SDIClassification>`
  `getSDIClassifications()`
  Returns the list of sdiClassifications of the environment.
  `String`
  `getSdiDescription()`
  Deprecated.
  `String`
  `getServerOSVersion()`
  Returns the serverOSVersion.
  `String`
  `getServerPlatform()`
  Returns the serverPlatform.
  `String`
  `getSpecialApprovalContvyInstructions()`
  Returns the ApprovalInstructions.
  `int`
  `getSshPort()`
  Returns the sshPort Value.
  `String`
  `getStatus()`
  Returns the status.
  `int`
  `getSystemEnvironmentId()`
  Returns the systemEnvironmentId.
  `String`
  `getSystemEnvironmentName()`
  Deprecated.
  `String`
  `getSystemEnvironmentType()`
  Returns the systemEnvironmentType.
  `int`
  `getSystemId()`
  Returns the SystemId.
  `String`
  `getSystemName()`
  Returns the systemName.
  `String`
  `getSystemNumber()`
  Returns the systemNumber.
  `Set<String>`
  `getTableNames()`
  Returns the set of table names.
  `Collection<SMTable>`
  `getTables()`
  Returns the list of SMTable objects.
  `List<Tag>`
  `getTags()`
  `String`
  `getUserId()`
  Returns the userId.
  `String`
  `getVersion()`
  Returns the version Value.
  `String`
  `getVersionLabel()`
  Returns the versionLabel Value.
  `int`
  `getVisibility()`
  Returns the visibility Value.
  `String`
  `getWorkflowStatus()`
  Returns the workflowStatus Value.
  `boolean`
  `isDataStewardChecked()`
  Returns the isDataStewardChecked Value.
  `boolean`
  `isDisplaySynonymsInScan()`
  Returns whether DisplayViewsInScan are present or not.
  `boolean`
  `isDisplayTablesInScan()`
  Returns whether displayTablesInScan are present or not.
  `boolean`
  `isDisplayViewsInScan()`
  Returns whether DisplayViewsInScan are present or not.
  `boolean`
  `isPasswordEncrypted()`
  Returns the passwordEncrypted value as True or False.
  `boolean`
  `isRsaKeyPairFlag()`
  Returns the rsaKeyPairFlag.
  `boolean`
  `isSdiFlag()`
  Returns the sdiFlag Value.
  `SMEnvironment`
  `setAssociationsList(List<com.ads.association.export.model.ExportedAssociation> associations)`
  It will not set any associations particular to this object as it is being used internally.
  `void`
  `setAuditHistory(AuditHistory auditHistory)`
  Method sets the value of auditHistory as specified.
  `void`
  `setAuthenticationType(String authenticationType)`
  Method sets the authenticationType as specified.
  `void`
  `setBusinessEntityType(String businessEntityType)`
  Method sets the businessEntityType as specified.
  `void`
  `setChangeDescription(String changeDescription)`
  Method sets the changeDescription as specified.
  `void`
  `setDatabaseDomain(String databaseDomain)`
  Method sets the databaseDomain as specified.
  `void`
  `setDatabaseDriver(String databaseDriver)`
  Method sets the databaseDriver as specified.
  `void`
  `setDatabaseInstanceSchema(String databaseInstanceSchema)`
  Method sets the databaseInstanceSchema as specified.
  `void`
  `setDatabaseIPAddress(String databaseIPAddress)`
  Method sets the databaseIPAddress as specified.
  `void`
  `setDatabaseName(String databaseName)`
  Method sets the databaseName as specified.
  `void`
  `setDatabaseOptions(String databaseOptions)`
  Method sets the databaseOptions as specified.
  `void`
  `setDatabasePassword(String databasePassword)`
  Method sets the database Password as specified.
  `void`
  `setDatabasePoolType(String databasePoolType)`
  Method sets the databasePoolType as specified.
  `void`
  `setDatabasePort(String databasePort)`
  Method sets the databasePort as specified.
  `void`
  `setDatabaseType(String databaseType)`
  Method sets the databaseType as specified.
  `void`
  `setDatabaseURL(String databaseURL)`
  Method sets the databaseURL as specified.
  `void`
  `setDatabaseUserName(String databaseUserName)`
  Method sets the databaseUserName as specified.
  `void`
  `setDataFile(byte[] dataFile)`
  Method sets the dataFile as specified.
  `void`
  `setDataFileName(String dataFileName)`
  Method sets the dataFileName as specified.
  `void`
  `setDataProfileScore(String dataProfileScore)`
  Method sets the dataProfileScore as specified.
  `void`
  `setDataProfileScoreId(int dataProfileScoreId)`
  Method sets the dataProfileScoreId as specified.
  `void`
  `setDataQualityScore(float dataQualityScore)`
  Method sets the dataQualityScore as specified.
  `void`
  `setDataStewardChecked(boolean dataStewardChecked)`
  Method sets the dataStewardChecked as specified.
  `void`
  `setDataStewardName(String dataStewardName)`
  Deprecated.
  `void`
  `setDisplaySynonymsInScan(boolean displaySynonymsInScan)`
  Method sets the value of displaySynonymsInScan as specified.
  `void`
  `setDisplayTablesInScan(boolean displayTablesInScan)`
  Method sets the value of displayTablesInScan as specified.
  `void`
  `setDisplayViewsInScan(boolean displayViewsInScan)`
  Method sets the value of displayViewsInScan as specified.
  `void`
  `setDqToolFlag(int dqToolFlag)`
  Method sets the dqToolFlag as specified.
  `void`
  `setDqToolProfileId(int dqToolProfileId)`
  Deprecated.
  `void`
  `setDqToolProfileId(String dqToolProfileId)`
  Method sets the dqToolProfileId as specified.
  `void`
  `setDraft(int draft)`
  Method sets the draft to the environment as specified.
  `void`
  `setEnvironmentId(int environmentId)`
  Method sets the value of environmentId as specified.
  `void`
  `setEnvironmentNotes(String environmentNotes)`
  Method sets the environmentNotes as specified.
  `void`
  `setEnvironmentType(SMEnvironment.DatabaseType environmentType)`
  Method sets the environmentType as specified.
  `void`
  `setExtendedProperties(List<KeyValue> extendedProperties)`
  Method sets the list of KeyValue objects as specified.
  `void`
  `setFieldDelimiter(String fieldDelimiter)`
  Method sets the value of fieldDelimiter as specified.
  `void`
  `setFileLocation(String fileLocation)`
  Method sets the fileLocation as specified.
  `void`
  `setFileManagementSystemType(String fileManagementSystemType)`
  Method sets the fileManagementSystemType as specified.
  `void`
  `setImpactScore(float impactScore)`
  Deprecated.
  `void`
  `setIntendedUseDescription(String intendedUseDescription)`
  Method sets the intendedUseDescription as specified.
  `void`
  `setKerberosPrincipal(String kerberosPrincipal)`
  Method sets the kerberosPrincipal as specified.
  `void`
  `setLastLoadingTime(Date lastLoadingTime)`
  Method sets the lastLoadingTime as specified.
  `void`
  `setMaximumNoOfConnectionsPerPartition(int maximumNoOfConnectionsPerPartition)`
  Method sets the value of maximumNoOfConnectionsPerPartition as specified.
  `void`
  `setMinimumNoOfConnectionsPerPartition(int minimumNoOfConnectionsPerPartition)`
  Method sets the value of minimumNoOfConnectionsPerPartition as specified.
  `void`
  `setModelFile(String modelFile)`
  Method sets the modelFile as specified.
  `void`
  `setModelFileName(String modelFileName)`
  Method sets the modelFileName as specified.
  `void`
  `setName(String name)`
  Method sets the name to the environment as specified.
  `void`
  `setNoOfPartitions(int noOfPartitions)`
  Method sets the value of noOfPartitions as specified.
  `void`
  `setPasswordEncrypted(boolean passwordEncrypted)`
  Method sets the passwordEncrypted as specified.
  `void`
  `setProductionEnvironmentName(String productionEnvironmentName)`
  Method sets the production EnvironmentName as specified.
  `void`
  `setProductionSystemId(String productionSystemId)`
  Method sets the productionSystemId as specified.
  `void`
  `setProductionSystemName(String productionSystemName)`
  Method sets the productionSystemName as specified.
  `void`
  `setRowDelimiter(String rowDelimiter)`
  Method sets the value of rowDelimiter as specified.
  `void`
  `setRsaKeyPairFlag(boolean rsaKeyPairFlag)`
  Method sets the rsaKeyPairFlag as specified.
  `void`
  `setSapClient(String sapClient)`
  Method sets the value of sapClient as specified.
  `void`
  `setSapDestination(String sapDestination)`
  Method sets the value of sapDestination as specified.
  `void`
  `setSapScanTables(String sapScanTables)`
  Method sets the value of sapScanTables as specified.
  `void`
  `setSchemas(Collection<SMSchema> schemas)`
  Sets the SMSchema objects as specified.
  `void`
  `setSdiClassificationId(int sdiClassificationId)`
  Deprecated.
  `void`
  `setSdiClassificationName(String sdiClassificationName)`
  Deprecated.
  `void`
  `setSDIClassifications(List<SDIClassification> sdiClassifications)`
  Method sets the list of sdiClassifications to the environment as specified.
  `void`
  `setSdiDescription(String sdiDescription)`
  Deprecated.
  `void`
  `setSdiFlag(boolean sdiFlag)`
  Method sets the sdiFlag to the environment as specified.
  `void`
  `setServerOSVersion(String serverOSVersion)`
  Method sets the serverPlatform as specified.
  `void`
  `setServerPlatform(String serverPlatform)`
  Method sets the serverPlatform as specified.
  `void`
  `setSpecialApprovalContvyInstructions(String specialApprovalContvyInstructions)`
  Method sets the value of ApprovalInstructions as specified.
  `void`
  `setSshPort(int sshPort)`
  Method sets the sshPort as specified.
  `void`
  `setStatus(String status)`
  Method sets the value of status as specified.
  `void`
  `setSystemEnvironmentId(int systemEnvironmentId)`
  Method sets the value of systemEnvironmentId as specified.
  `void`
  `setSystemEnvironmentName(String systemEnvironmentName)`
  Deprecated.
  `void`
  `setSystemEnvironmentType(String systemEnvironmentType)`
  Method sets the systemEnvironmentType as specified.
  `void`
  `setSystemId(int systemId)`
  Method sets the systemId as specified.
  `void`
  `setSystemName(String systemName)`
  Method sets the systemName as specified.
  `void`
  `setSystemNumber(String systemNumber)`
  Method sets the value of systemNumber as specified.
  `void`
  `setTags(List<Tag> tags)`
  `void`
  `setUserId(String userId)`
  Method sets the userId as specified.
  `void`
  `setVersion(String version)`
  Method sets the version as specified.
  `void`
  `setVersionLabel(String versionLabel)`
  Method sets the versionLabel as specified.
  `void`
  `setVisibility(int visibility)`
  Method sets the visibility as specified.
  `void`
  `setWorkflowStatus(String workflowStatus)`
  Method sets the workflowStatus as specified.
  `String`
  `toString()`

  ### Methods inherited from class com.ads.api.beans.common.Node

  `addChildNode, getChildNodes, getEndPointType, getNodeId, getNodeType, getObjectTypeId, setChildNodes, setEndPointType, setNodeId, setNodeType, setObjectTypeId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SMEnvironment

    public SMEnvironment()

  - ### SMEnvironment

    public SMEnvironment(int systemId, Date lastLoadingTime, byte[] dataFile, boolean passwordEncrypted, boolean displayTablesInScan, boolean displayViewsInScan, boolean displaySynonymsInScan, int systemEnvironmentId, int maximumNoOfConnectionsPerPartition, int minimumNoOfConnectionsPerPartition, int noOfPartitions, int environmentId, AuditHistory auditHistory, boolean dataStewardChecked, int sshPort, String authenticationType, String kerberosPrincipal)

- ## Method Details

  - ### isRsaKeyPairFlag

    public boolean isRsaKeyPairFlag()
    Returns the rsaKeyPairFlag.
    Returns:
      rsaKeyPairFlag boolean

  - ### getDqToolProfileId

    public String getDqToolProfileId()
    Returns the dqToolProfileId.
    Returns:
      dqToolProfileId String

  - ### setDqToolProfileId

    @Deprecated public void setDqToolProfileId(int dqToolProfileId)
    Deprecated.

  - ### setDqToolProfileId

    public void setDqToolProfileId(String dqToolProfileId)
    Method sets the dqToolProfileId as specified.
    Parameters:
      `dqToolProfileId` -

  - ### getDataQualityScore

    public float getDataQualityScore()
    Returns the dataQualityScore.
    Returns:
      dataQualityScore float

  - ### setDataQualityScore

    public void setDataQualityScore(float dataQualityScore)
    Method sets the dataQualityScore as specified.
    Parameters:
      `dataQualityScore` -

  - ### getImpactScore

    @Deprecated public float getImpactScore()
    Deprecated.

  - ### setImpactScore

    @Deprecated public void setImpactScore(float impactScore)
    Deprecated.

  - ### getDqToolFlag

    public int getDqToolFlag()
    Returns the dqToolFlag.
    Returns:
      dqToolFlag int.

  - ### setDqToolFlag

    public void setDqToolFlag(int dqToolFlag)
    Method sets the dqToolFlag as specified.
    Parameters:
      `dqToolFlag` - .

  - ### setRsaKeyPairFlag

    public void setRsaKeyPairFlag(boolean rsaKeyPairFlag)
    Method sets the rsaKeyPairFlag as specified.
    Parameters:
      `rsaKeyPairFlag` - int

  - ### getSystemId

    public int getSystemId()
    Returns the SystemId.
    Returns:
      systemId int

  - ### setSystemId

    public void setSystemId(int systemId)
    Method sets the systemId as specified.
    Parameters:
      `systemId` - int

  - ### getSystemEnvironmentType

    public String getSystemEnvironmentType()
    Returns the systemEnvironmentType.
    Returns:
      systemEnvironmentType String

  - ### setSystemEnvironmentType

    public void setSystemEnvironmentType(String systemEnvironmentType)
    Method sets the systemEnvironmentType as specified.
    Parameters:
      `systemEnvironmentType` - String

  - ### getSystemEnvironmentName

    public String getSystemEnvironmentName()
    Deprecated.
    Returns the systemEnvironmentName.
    Returns:
      systemEnvironmentName String

  - ### setSystemEnvironmentName

    public void setSystemEnvironmentName(String systemEnvironmentName)
    Deprecated.
    Method sets the systemEnvironmentName as specified.
    Parameters:
      `systemEnvironmentName` - String

  - ### getName

    public String getName()
    Returns environment name.
    Returns:
      name String

  - ### setName

    public void setName(String name)
    Method sets the name to the environment as specified.
    Parameters:
      `name` - String

  - ### getSystemName

    public String getSystemName()
    Returns the systemName.
    Returns:
      systemName String

  - ### setSystemName

    public void setSystemName(String systemName)
    Method sets the systemName as specified.
    Parameters:
      `systemName` - String

  - ### getServerPlatform

    public String getServerPlatform()
    Returns the serverPlatform.
    Returns:
      serverPlatform String

  - ### setServerPlatform

    public void setServerPlatform(String serverPlatform)
    Method sets the serverPlatform as specified.
    Parameters:
      `serverPlatform` - String

  - ### getServerOSVersion

    public String getServerOSVersion()
    Returns the serverOSVersion.
    Returns:
      serverOSVersion String

  - ### setServerOSVersion

    public void setServerOSVersion(String serverOSVersion)
    Method sets the serverPlatform as specified.
    Parameters:
      `serverOSVersion` - String

  - ### getDatabaseIPAddress

    public String getDatabaseIPAddress()
    Returns the databaseIPAddress.
    Returns:
      databaseIPAddress String

  - ### setDatabaseIPAddress

    public void setDatabaseIPAddress(String databaseIPAddress)
    Method sets the databaseIPAddress as specified.
    Parameters:
      `databaseIPAddress` - String

  - ### getDatabasePort

    public String getDatabasePort()
    Returns the databasePort.
    Returns:
      databasePort String

  - ### setDatabasePort

    public void setDatabasePort(String databasePort)
    Method sets the databasePort as specified.
    Parameters:
      `databasePort` - String

  - ### getDatabaseName

    public String getDatabaseName()
    Returns the databaseName.
    Returns:
      databaseName String

  - ### setDatabaseName

    public void setDatabaseName(String databaseName)
    Method sets the databaseName as specified.
    Parameters:
      `databaseName` - String

  - ### getDatabaseInstanceSchema

    public String getDatabaseInstanceSchema()
    Returns the database InstanceSchema.
    Returns:
      databaseInstanceSchema String

  - ### setDatabaseInstanceSchema

    public void setDatabaseInstanceSchema(String databaseInstanceSchema)
    Method sets the databaseInstanceSchema as specified.
    Parameters:
      `databaseInstanceSchema` - String

  - ### getIntendedUseDescription

    public String getIntendedUseDescription()
    Returns the intendedUseDescription.
    Returns:
      intendedUseDescription String

  - ### setIntendedUseDescription

    public void setIntendedUseDescription(String intendedUseDescription)
    Method sets the intendedUseDescription as specified.
    Parameters:
      `intendedUseDescription` - String

  - ### getEnvironmentNotes

    public String getEnvironmentNotes()
    Returns the environmentNotes.
    Returns:
      environmentNotes String

  - ### setEnvironmentNotes

    public void setEnvironmentNotes(String environmentNotes)
    Method sets the environmentNotes as specified.
    Parameters:
      `environmentNotes` - String

  - ### getDatabaseUserName

    public String getDatabaseUserName()
    Returns the database UserName.
    Returns:
      databaseUserName String

  - ### setDatabaseUserName

    public void setDatabaseUserName(String databaseUserName)
    Method sets the databaseUserName as specified.
    Parameters:
      `databaseUserName` - String

  - ### getDatabasePassword

    public String getDatabasePassword()
    Returns the database Password.
    Returns:
      databasePassword String

  - ### setDatabasePassword

    public void setDatabasePassword(String databasePassword)
    Method sets the database Password as specified.
    Parameters:
      `databasePassword` - String

  - ### getDatabaseType

    public String getDatabaseType()
    Returns the databaseType.
    Returns:
      databaseType String

  - ### setDatabaseType

    public void setDatabaseType(String databaseType)
    Method sets the databaseType as specified.
    Parameters:
      `databaseType` - String

  - ### getDatabaseURL

    public String getDatabaseURL()
    Returns the databaseURL.
    Returns:
      databaseURL String

  - ### setDatabaseURL

    public void setDatabaseURL(String databaseURL)
    Method sets the databaseURL as specified.
    Parameters:
      `databaseURL` - String

  - ### getDatabaseDriver

    public String getDatabaseDriver()
    Returns the databaseDriver.
    Returns:
      databaseDriver String

  - ### setDatabaseDriver

    public void setDatabaseDriver(String databaseDriver)
    Method sets the databaseDriver as specified.
    Parameters:
      `databaseDriver` - String

  - ### getLastLoadingTime

    public Date getLastLoadingTime()
    Returns the lastLoadingTime.
    Returns:
      lastLoadingTime Date

  - ### setLastLoadingTime

    public void setLastLoadingTime(Date lastLoadingTime)
    Method sets the lastLoadingTime as specified.
    Parameters:
      `lastLoadingTime` - Date

  - ### getUserId

    public String getUserId()
    Returns the userId.
    Returns:
      userId String

  - ### setUserId

    public void setUserId(String userId)
    Method sets the userId as specified.
    Parameters:
      `userId` - String

  - ### getDatabaseDomain

    public String getDatabaseDomain()
    Returns the databaseDomain.
    Returns:
      databaseDomain String

  - ### setDatabaseDomain

    public void setDatabaseDomain(String databaseDomain)
    Method sets the databaseDomain as specified.
    Parameters:
      `databaseDomain` - String

  - ### getModelFile

    public String getModelFile()
    Returns the modelFile.
    Returns:
      modelFile String

  - ### setModelFile

    public void setModelFile(String modelFile)
    Method sets the modelFile as specified.
    Parameters:
      `modelFile` - String

  - ### getModelFileName

    public String getModelFileName()
    Returns the modelFileName.
    Returns:
      modelFileName String

  - ### setModelFileName

    public void setModelFileName(String modelFileName)
    Method sets the modelFileName as specified.
    Parameters:
      `modelFileName` - String

  - ### getDataFileName

    public String getDataFileName()
    Returns the dataFileName.
    Returns:
      dataFileName String

  - ### setDataFileName

    public void setDataFileName(String dataFileName)
    Method sets the dataFileName as specified.
    Parameters:
      `dataFileName` - String

  - ### getDataFile

    public byte[] getDataFile()
    Returns the dataFile.
    Returns:
      dataFile byte

  - ### setDataFile

    public void setDataFile(byte[] dataFile)
    Method sets the dataFile as specified.
    Parameters:
      `dataFile` - byte

  - ### isPasswordEncrypted

    public boolean isPasswordEncrypted()
    Returns the passwordEncrypted value as True or False.
    Returns:
      passwordEncrypted boolean

  - ### setPasswordEncrypted

    public void setPasswordEncrypted(boolean passwordEncrypted)
    Method sets the passwordEncrypted as specified.
    Parameters:
      `passwordEncrypted` - boolean

  - ### getFileManagementSystemType

    public String getFileManagementSystemType()
    Returns the fileManagementSystemType.
    Returns:
      fileManagementSystemType String

  - ### setFileManagementSystemType

    public void setFileManagementSystemType(String fileManagementSystemType)
    Method sets the fileManagementSystemType as specified.
    Parameters:
      `fileManagementSystemType` - String

  - ### getFileLocation

    public String getFileLocation()
    Returns the fileManagementSystemType.
    Returns:
      fileLocation String

  - ### setFileLocation

    public void setFileLocation(String fileLocation)
    Method sets the fileLocation as specified.
    Parameters:
      `fileLocation` - String

  - ### getProductionSystemId

    public String getProductionSystemId()
    Returns the productionSystemId.
    Returns:
      productionSystemId String

  - ### setProductionSystemId

    public void setProductionSystemId(String productionSystemId)
    Method sets the productionSystemId as specified.
    Parameters:
      `productionSystemId` - String

  - ### getProductionSystemName

    public String getProductionSystemName()
    Returns the productionSystemName.
    Returns:
      productionSystemName String

  - ### setProductionSystemName

    public void setProductionSystemName(String productionSystemName)
    Method sets the productionSystemName as specified.
    Parameters:
      `productionSystemName` - String

  - ### getProductionEnvironmentName

    public String getProductionEnvironmentName()
    Returns the production EnvironmentName.
    Returns:
      productionEnvironmentName String

  - ### setProductionEnvironmentName

    public void setProductionEnvironmentName(String productionEnvironmentName)
    Method sets the production EnvironmentName as specified.
    Parameters:
      `productionEnvironmentName` - String

  - ### isDisplayTablesInScan

    public boolean isDisplayTablesInScan()
    Returns whether displayTablesInScan are present or not.
    Returns:
      displayTablesInScan boolean

  - ### setDisplayTablesInScan

    public void setDisplayTablesInScan(boolean displayTablesInScan)
    Method sets the value of displayTablesInScan as specified.
    Parameters:
      `displayTablesInScan` - boolean

  - ### isDisplayViewsInScan

    public boolean isDisplayViewsInScan()
    Returns whether DisplayViewsInScan are present or not.
    Returns:
      displayViewsInScan boolean

  - ### setDisplayViewsInScan

    public void setDisplayViewsInScan(boolean displayViewsInScan)
    Method sets the value of displayViewsInScan as specified.
    Parameters:
      `displayViewsInScan` - boolean

  - ### isDisplaySynonymsInScan

    public boolean isDisplaySynonymsInScan()
    Returns whether DisplayViewsInScan are present or not.
    Returns:
      displaySynonymsInScan boolean

  - ### setDisplaySynonymsInScan

    public void setDisplaySynonymsInScan(boolean displaySynonymsInScan)
    Method sets the value of displaySynonymsInScan as specified.
    Parameters:
      `displaySynonymsInScan` - boolean

  - ### getStatus

    public String getStatus()
    Returns the status.
    Returns:
      status String.

  - ### setStatus

    public void setStatus(String status)
    Method sets the value of status as specified.
    Parameters:
      `status` - String

  - ### getSystemNumber

    public String getSystemNumber()
    Returns the systemNumber.
    Returns:
      systemNumber String

  - ### setSystemNumber

    public void setSystemNumber(String systemNumber)
    Method sets the value of systemNumber as specified.
    Parameters:
      `systemNumber` - String

  - ### getSapDestination

    public String getSapDestination()
    Returns the sapDestination.
    Returns:
      sapDestination String

  - ### setSapDestination

    public void setSapDestination(String sapDestination)
    Method sets the value of sapDestination as specified.
    Parameters:
      `sapDestination` - String

  - ### getSapClient

    public String getSapClient()
    Returns the sapClient.
    Returns:
      sapClient String

  - ### setSapClient

    public void setSapClient(String sapClient)
    Method sets the value of sapClient as specified.
    Parameters:
      `sapClient` - String

  - ### getFieldDelimiter

    public String getFieldDelimiter()
    Returns the fieldDelimiter.
    Returns:
      fieldDelimiter String

  - ### setFieldDelimiter

    public void setFieldDelimiter(String fieldDelimiter)
    Method sets the value of fieldDelimiter as specified.
    Parameters:
      `fieldDelimiter` - String

  - ### getSapScanTables

    public String getSapScanTables()
    Returns the sapScanTables.
    Returns:
      sapScanTables String

  - ### setSapScanTables

    public void setSapScanTables(String sapScanTables)
    Method sets the value of sapScanTables as specified.
    Parameters:
      `sapScanTables` - String

  - ### getSystemEnvironmentId

    public int getSystemEnvironmentId()
    Returns the systemEnvironmentId.
    Returns:
      systemEnvironmentId int

  - ### setSystemEnvironmentId

    public void setSystemEnvironmentId(int systemEnvironmentId)
    Method sets the value of systemEnvironmentId as specified.
    Parameters:
      `systemEnvironmentId` - int

  - ### getMaximumNoOfConnectionsPerPartition

    public int getMaximumNoOfConnectionsPerPartition()
    Returns the maximum NoOfConnections PerPartition.
    Returns:
      maximumNoOfConnectionsPerPartition int

  - ### setMaximumNoOfConnectionsPerPartition

    public void setMaximumNoOfConnectionsPerPartition(int maximumNoOfConnectionsPerPartition)
    Method sets the value of maximumNoOfConnectionsPerPartition as specified.
    Parameters:
      `maximumNoOfConnectionsPerPartition` - int

  - ### getMinimumNoOfConnectionsPerPartition

    public int getMinimumNoOfConnectionsPerPartition()
    Returns the Minimum NoOfConnections PerPartition.
    Returns:
      minimumNoOfConnectionsPerPartition int

  - ### setMinimumNoOfConnectionsPerPartition

    public void setMinimumNoOfConnectionsPerPartition(int minimumNoOfConnectionsPerPartition)
    Method sets the value of minimumNoOfConnectionsPerPartition as specified.
    Parameters:
      `minimumNoOfConnectionsPerPartition` - int

  - ### getNoOfPartitions

    public int getNoOfPartitions()
    Returns the noOfPartitions.
    Returns:
      noOfPartitions int

  - ### setNoOfPartitions

    public void setNoOfPartitions(int noOfPartitions)
    Method sets the value of noOfPartitions as specified.
    Parameters:
      `noOfPartitions` - int

  - ### getAuditHistory

    public AuditHistory getAuditHistory()
    Returns the AuditHistory.
    Returns:
      auditHistory AuditHistory

  - ### setAuditHistory

    public void setAuditHistory(AuditHistory auditHistory)
    Method sets the value of auditHistory as specified.
    Parameters:
      `auditHistory` - AuditHistory

  - ### getEnvironmentId

    public int getEnvironmentId()
    Returns the environmentId.
    Returns:
      environmentId AuditHistory

  - ### setEnvironmentId

    public void setEnvironmentId(int environmentId)
    Method sets the value of environmentId as specified.
    Parameters:
      `environmentId` - int

  - ### getSpecialApprovalContvyInstructions

    public String getSpecialApprovalContvyInstructions()
    Returns the ApprovalInstructions.
    Returns:
      specialApprovalContvyInstructions String

  - ### setSpecialApprovalContvyInstructions

    public void setSpecialApprovalContvyInstructions(String specialApprovalContvyInstructions)
    Method sets the value of ApprovalInstructions as specified.
    Parameters:
      `specialApprovalContvyInstructions` - String

  - ### getRowDelimiter

    public String getRowDelimiter()
    Returns the rowDelimiter.
    Returns:
      rowDelimiter String

  - ### setRowDelimiter

    public void setRowDelimiter(String rowDelimiter)
    Method sets the value of rowDelimiter as specified.
    Parameters:
      `rowDelimiter` - String

  - ### getDataStewardName

    @Deprecated public String getDataStewardName()
    Deprecated.
    Returns the dataStewardName Value.
    Returns:
      dataStewardName String

  - ### setDataStewardName

    @Deprecated public void setDataStewardName(String dataStewardName)
    Deprecated.
    Method sets the dataStewardName as specified.
    Parameters:
      `dataStewardName` - String

  - ### isDataStewardChecked

    public boolean isDataStewardChecked()
    Returns the isDataStewardChecked Value.
    Returns:
      dataStewardChecked boolean

  - ### setDataStewardChecked

    public void setDataStewardChecked(boolean dataStewardChecked)
    Method sets the dataStewardChecked as specified.
    Parameters:
      `dataStewardChecked` - boolean

  - ### getDatabasePoolType

    public String getDatabasePoolType()
    Returns the databasePoolType Value.
    Returns:
      databasePoolType String

  - ### setDatabasePoolType

    public void setDatabasePoolType(String databasePoolType)
    Method sets the databasePoolType as specified.
    Parameters:
      `databasePoolType` - String

  - ### getDatabaseOptions

    public String getDatabaseOptions()
    Returns the databaseOptions Value.
    Returns:
      databaseOptions String

  - ### setDatabaseOptions

    public void setDatabaseOptions(String databaseOptions)
    Method sets the databaseOptions as specified.
    Parameters:
      `databaseOptions` - String

  - ### addTable

    public void addTable(String name, SMTable table)
    Adds the table to SMTable Object as specified in name. Specifying the name is mandatory.
    Parameters:
      `name` - String
      `table` - SMTable Object

  - ### addTable

    public void addTable(SMTable table)
    Adds the table to the SMTable Object.
    Parameters:
      `table` - SMTable

  - ### addTableByReferenceId

    public void addTableByReferenceId(SMTable table)
    Adds the table to the SMTable Object by referenceId.
    Parameters:
      `table` - SMTable

  - ### getSchema

    public SMSchema getSchema(String schemaName)
    Returns the SMSchema Object as specified.
    Parameters:
      `schemaName` - String
    Returns:
      SMSchema - Object

  - ### getSchemas

    public Collection<SMSchema> getSchemas()
    Returns the Collection objects
    Returns:
      Collection

  - ### setSchemas

    public void setSchemas(Collection<SMSchema> schemas)
    Sets the SMSchema objects as specified.
    Parameters:
      `schemas` -

  - ### addSchema

    public void addSchema(SMSchema schema)
    Adds the schema as specified.
    Parameters:
      `schema` - SMSchema Object

  - ### getTables

    public Collection<SMTable> getTables()
    Returns the list of SMTable objects.
    Returns:
      SMTable objects Collection

  - ### getTableNames

    public Set<String> getTableNames()
    Returns the set of table names.
    Returns:
      Set

  - ### getEnvironmentType

    public SMEnvironment.DatabaseType getEnvironmentType()
    Returns the environmentType Value.
    Returns:
      environmentType String

  - ### setEnvironmentType

    public void setEnvironmentType(SMEnvironment.DatabaseType environmentType)
    Method sets the environmentType as specified.
    Parameters:
      `environmentType` - String

  - ### getVersion

    public String getVersion()
    Returns the version Value.
    Returns:
      version String

  - ### setVersion

    public void setVersion(String version)
    Method sets the version as specified.
    Parameters:
      `version` - String

  - ### getVersionLabel

    public String getVersionLabel()
    Returns the versionLabel Value.
    Returns:
      versionLabel String

  - ### setVersionLabel

    public void setVersionLabel(String versionLabel)
    Method sets the versionLabel as specified.
    Parameters:
      `versionLabel` - String

  - ### getChangeDescription

    public String getChangeDescription()
    Returns the changeDescription Value.
    Returns:
      changeDescription String

  - ### setChangeDescription

    public void setChangeDescription(String changeDescription)
    Method sets the changeDescription as specified.
    Parameters:
      `changeDescription` - String

  - ### getSshPort

    public int getSshPort()
    Returns the sshPort Value.
    Returns:
      sshPort int

  - ### setSshPort

    public void setSshPort(int sshPort)
    Method sets the sshPort as specified.
    Parameters:
      `sshPort` - int

  - ### getAuthenticationType

    public String getAuthenticationType()
    Returns the authenticationType Value.
    Returns:
      authenticationType String

  - ### setAuthenticationType

    public void setAuthenticationType(String authenticationType)
    Method sets the authenticationType as specified.
    Parameters:
      `authenticationType` - String

  - ### getKerberosPrincipal

    public String getKerberosPrincipal()
    Returns the kerberosPrincipal Value.
    Returns:
      kerberosPrincipal String

  - ### setKerberosPrincipal

    public void setKerberosPrincipal(String kerberosPrincipal)
    Method sets the kerberosPrincipal as specified.
    Parameters:
      `kerberosPrincipal` - String

  - ### getExtendedProperties

    public List<KeyValue> getExtendedProperties()
    Returns the list of KeyValue objects.
    Returns:
      extendedProperties List

  - ### setExtendedProperties

    public void setExtendedProperties(List<KeyValue> extendedProperties)
    Method sets the list of KeyValue objects as specified.
    Parameters:
      `extendedProperties` - String

  - ### addExtendedProperty

    public SMEnvironment addExtendedProperty(KeyValue extendedProperty)
    Adds the KeyValue Object for the specified table.
    Parameters:
      `extendedProperty` - KeyValue
    Returns:
      SMEnvironment object.

  - ### getWorkflowStatus

    public String getWorkflowStatus()
    Returns the workflowStatus Value.
    Returns:
      workflowStatus String

  - ### setWorkflowStatus

    public void setWorkflowStatus(String workflowStatus)
    Method sets the workflowStatus as specified.
    Parameters:
      `workflowStatus` - String

  - ### getVisibility

    public int getVisibility()
    Returns the visibility Value.
    Returns:
      visibility int

  - ### setVisibility

    public void setVisibility(int visibility)
    Method sets the visibility as specified.
    Parameters:
      `visibility` - int

  - ### getDataProfileScoreId

    public int getDataProfileScoreId()
    Returns the dataProfileScoreId Value.
    Returns:
      dataProfileScoreId int

  - ### setDataProfileScoreId

    public void setDataProfileScoreId(int dataProfileScoreId)
    Method sets the dataProfileScoreId as specified.
    Parameters:
      `dataProfileScoreId` - int

  - ### getDataProfileScore

    public String getDataProfileScore()
    Returns the dataProfileScore Value.
    Returns:
      dataProfileScore String

  - ### setDataProfileScore

    public void setDataProfileScore(String dataProfileScore)
    Method sets the dataProfileScore as specified.
    Parameters:
      `dataProfileScore` - String

  - ### getDraft

    public int getDraft()
    Returns the draft Value.
    Returns:
      draft int

  - ### setDraft

    public void setDraft(int draft)
    Method sets the draft to the environment as specified.
    Parameters:
      `draft` - int

  - ### getSdiClassificationId

    public int getSdiClassificationId()
    Deprecated.
    Returns the sdiClassificationId Value.
    Returns:
      sdiClassificationId int

  - ### setSdiClassificationId

    public void setSdiClassificationId(int sdiClassificationId)
    Deprecated.
    Method sets the sdiClassificationId to the system as specified.
    Parameters:
      `sdiClassificationId` - int

  - ### getSdiClassificationName

    public String getSdiClassificationName()
    Deprecated.
    Returns the sdiClassificationId Value.
    Returns:
      sdiClassificationId int

  - ### setSdiClassificationName

    public void setSdiClassificationName(String sdiClassificationName)
    Deprecated.
    Method sets the sdiClassificationName to the environment as specified.
    Parameters:
      `sdiClassificationName` - String

  - ### getTags

    public List<Tag> getTags()

  - ### setTags

    public void setTags(List<Tag> tags)

  - ### addTag

    public SMEnvironment addTag(Tag tagvo)

  - ### getAssociationsList

    public List<com.ads.association.export.model.ExportedAssociation> getAssociationsList()
    It will not return any associations particular to this object as it is being used internally. Please use Associations api to fetch the associations.
    Returns:
      list of associations

  - ### setAssociationsList

    public SMEnvironment setAssociationsList(List<com.ads.association.export.model.ExportedAssociation> associations)
    It will not set any associations particular to this object as it is being used internally.
    Parameters:
      `associations` -
    Returns:

  - ### addAssociationsList

    public SMEnvironment addAssociationsList(com.ads.association.export.model.ExportedAssociation associationObj)
    It will not add association to this object as it is being used internally.
    Parameters:
      `associations` -
    Returns:

  - ### isSdiFlag

    public boolean isSdiFlag()
    Returns the sdiFlag Value.
    Returns:
      sdiFlag boolean

  - ### setSdiFlag

    public void setSdiFlag(boolean sdiFlag)
    Method sets the sdiFlag to the environment as specified.
    Parameters:
      `sdiFlag` - boolean

  - ### getSdiDescription

    public String getSdiDescription()
    Deprecated.
    Returns the sdiDescription Value.
    Returns:
      sdiDescription String

  - ### setSdiDescription

    public void setSdiDescription(String sdiDescription)
    Deprecated.
    Method sets the sdiDescription to the environment as specified.
    Parameters:
      `sdiDescription` - String

  - ### getSDIClassifications

    public List<SDIClassification> getSDIClassifications()
    Returns the list of sdiClassifications of the environment.
    Returns:
      sdiClassifications List

  - ### setSDIClassifications

    public void setSDIClassifications(List<SDIClassification> sdiClassifications)
    Method sets the list of sdiClassifications to the environment as specified.
    Parameters:
      `sdiClassifications` - List

  - ### addSDIClassification

    public SMEnvironment addSDIClassification(SDIClassification classification)
    It adds the given sdiClassification object to the list.
    Parameters:
      `classification` -
    Returns:
      SMEnvironment

  - ### getBusinessEntityType

    public String getBusinessEntityType()
    Returns the businessEntityType value.
    Returns:
      businessEntityType String

  - ### setBusinessEntityType

    public void setBusinessEntityType(String businessEntityType)
    Method sets the businessEntityType as specified.
    Parameters:
      `businessEntityType` - String

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`